Bug 122268 - won't open ftp sites with ipv6 name servers
won't open ftp sites with ipv6 name servers
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gftp (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-02 12:06 EDT by Jacques Rodary
Modified: 2013-04-02 00:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.0.17-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-10 08:20:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacques Rodary 2004-05-02 12:06:54 EDT
Description of problem:
When trying to connect to site with ipv6 NS (e.g.: ftp.crihan.fr) I
get "Failed to create a IPv6 socket: Famille d'adresses non supportée
par le protocol" error with  2.4.22-1.2188.nptlsmp kernel, and "no
route to host" with a custom 2.6.5 kernel compiled with ipv6 modules.
It isn't related to iptables, as stopping it doesn't change anything.
Nothing wrong with gftp-2.0.14-5.
Version-Release number of selected component (if applicable):
gftp-2.0.17-0-FC1

How reproducable:
allways

Steps to Reproduce:
1.Launch gftp-2.0.17-0-FC1
2.Try to connect to ftp.crihan.fr 
3.
  
Actual results:
When connection is established, I get disconnected with above messages.

Expected results:
Same as with gftp-2.0.14-5

Additional info:
No problem with FC2T2
Comment 1 Alan Cox 2004-05-02 17:36:56 EDT
Confirmed.

Note You need to log in before you can comment on or make changes to this bug.